마지막 소유자

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. 이 오류의 type는 https://lingo.dev/docs/api/errors/last-owner-removal입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

사용자 <userId>는 조직 <organizationId>의 마지막 소유자입니다. 조직에는 최소 한 명의 소유자가 있어야 합니다. 먼저 다른 구성원에게 소유자 역할을 부여하세요.

필드#

본문에는 표준 항목인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
organizationIdstring
userIdstring

예시#

json
{
  "detail": "User <userId> is the last owner of organization <organizationId>. An organization must keep at least one owner. Give the owner role to another member first.",
  "organizationId": "<organizationId>",
  "userId": "<userId>",
  "type": "https://lingo.dev/docs/api/errors/last-owner-removal",
  "status": 409,
  "title": "Last owner"
}

이 오류를 반환하는 엔드포인트#

  • DELETE /v2/members/{id}
  • PATCH /v2/organizations/{orgId}/members/{userId}